Skip to main content
GET
Get a tweet (live)

Authorizations

Authorization
string
header
required

XPOZ API access key, created from the dashboard or POST /api/tokens. Send as Authorization: Bearer <access key>.

Path Parameters

id
string
required

Tweet ID (numeric string).

Pattern: ^\d+$

Query Parameters

fields
enum<string>[]

Tweet fields to return. Comma-separated. Allowed values: id, authorId, authorUsername, text, bookmarkCount, impressionCount, likeCount, lang, possiblySensitive, deleted, suspended, quoteCount, replyCount, retweetCount, isRetweet, hasBirdwatchNotes, birdwatchNotesId, birdwatchNotesText, birdwatchNotesUrl, status, conversationId, quotedTweetId, retweetedTweetId, replyToTweetId, replyToUserId, replyToUsername, originalTweetId, editedTweets, hashtags, mentions, mediaUrls, urls, grokGeneratedContent, source, placeName, placeCountry, placeCountryCode, placeBoundingBoxCoordinates, placeCentroid, createdAt, createdAtDate.

Available options:
id,
authorId,
authorUsername,
text,
bookmarkCount,
impressionCount,
likeCount,
lang,
possiblySensitive,
deleted,
suspended,
quoteCount,
replyCount,
retweetCount,
isRetweet,
hasBirdwatchNotes,
birdwatchNotesId,
birdwatchNotesText,
birdwatchNotesUrl,
status,
conversationId,
quotedTweetId,
retweetedTweetId,
replyToTweetId,
replyToUserId,
replyToUsername,
originalTweetId,
editedTweets,
hashtags,
mentions,
mediaUrls,
urls,
grokGeneratedContent,
source,
placeName,
placeCountry,
placeCountryCode,
placeBoundingBoxCoordinates,
placeCentroid,
createdAt,
createdAtDate

Response

One page of results.

Envelope for on-demand /live endpoints: one provider page plus a cursor.

results
object[]
required
count
integer
required
dataSource
enum<string>
required

Where the results came from.

Available options:
database,
api,
hybrid
has_more
boolean
required
next_page_cursor
string | null
required